Loading...
Searching...
No Matches
Opm::EclIO::ESmry Class Reference

## Public Member Functions

| ESmry (const std::string &filename, bool loadBaseRunData=false)
int | numberOfVectors () const
bool | hasKey (const std::string &key) const
const std::vector< float > & | get (const std::string &name) const
const std::vector< float > & | get (const SummaryNode &node) const
std::vector< time_point > | dates () const
std::vector< float > | get_at_rstep (const std::string &name) const
std::vector< float > | get_at_rstep (const SummaryNode &node) const
std::vector< time_point > | dates_at_rstep () const
void | loadData (const std::vector< std::string > &vectList) const
void | loadData () const
bool | make_esmry_file ()
time_point | startdate () const
const std::vector< int > & | start_v () const
const std::vector< std::string > & | keywordList () const
std::vector< std::string > | keywordList (const std::string &pattern) const
const std::vector< SummaryNode > & | summaryNodeList () const
int | timestepIdxAtReportstepStart (const int reportStep) const
size_t | numberOfTimeSteps () const
const std::string & | get_unit (const std::string &name) const
const std::string & | get_unit (const SummaryNode &node) const
void | write_rsm (std::ostream &) const
void | write_rsm_file (std::optional< std::filesystem::path >=std::nullopt) const
bool | all_steps_available ()
std::string | rootname ()
std::tuple< double, double > | get_io_elapsed () const

The documentation for this class was generated from the following files:

- opm/io/eclipse/ESmry.hpp
- opm/io/eclipse/ESmry.cpp
- opm/io/eclipse/ESmry_write_rsm.cpp